Bug 178974 - [x86_64, s390x] gnome-games fails to rebuild
[x86_64, s390x] gnome-games fails to rebuild
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: gnome-games (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Depends On:
  Show dependency treegraph
Reported: 2006-01-25 16:18 EST by John W. Lockhart
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-01-26 10:51:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description John W. Lockhart 2006-01-25 16:18:24 EST
Description of problem:
rpmbuild --rebuild gnome-games fails

Version-Release number of selected component (if applicable):

How reproducible:

Any of:
rpmbuild --rebuild $SRPM
x86_64 rpmbuild --target=x86_64 --rebuild $SRPM
s390x rpmbuild --target=s390x --rebuild $SRPM

Steps to Reproduce:
See above
Actual results:
gcc -O2 -g -pipe -m64 -o gnect main.o gfx.o prefs.o theme.o adjmtrx.o bintree.o
connect4.o evaluate.o heurist.o ia_main.o pbsolver.o playgame.o
-Wl,--export-dynamic  -pthread -L/usr/X11R6/lib64 -lglade-2.0 -lgnomeui-2 -lSM
-lICE -lbonoboui-2 -lxml2 -lpthread -lz -lgnomecanvas-2 -lgnome-2
/usr/lib/libpopt.so -lart_lgpl_2 -lpangoft2-1.0 -lbonobo-2 -lgconf-2
-lgnomevfs-2 -lbonobo-activation -lORBit-2 -lgthread-2.0 -lgtk-x11-2.0
-lgdk-x11-2.0 -latk-1.0 -lpangoxft-1.0 -lpangox-1.0 -lpango-1.0 -lrsvg-2
-lgdk_pixbuf-2.0 -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0
../../libgames-support/.libs/libgames-support.a -lm
/usr/lib/libpopt.so: could not read symbols: File in wrong format
collect2: ld returned 1 exit status
make[3]: *** [gnect] Error 1

Expected results:
Rebuilt RPMs

Additional info:
Note that /usr/lib64 is used in other places; there may be something
that could be fixed in a fairly straightforward manner.
Comment 1 Ray Strode [halfline] 2006-01-26 10:51:50 EST
The problem, I believe, is that the libtool that ships in the source tree was
generated with a buggy version of libtool.

So there are a few ways to attack this.  These things sometimes work.

- We could try rerunning libtoolize or autoreconf at the very top of the %build
section of the spec file.

- We could try copying system libtool (/usr/bin/libtool) to the source tree
overwriting the buggy generated libtool.

- We could try passing a make variable that points to system libtool directly
(e.g., change a line that starts with make in the spec file to make

Any of these methods could fail for various reasons, though, and the problem
will be gone in RHEL5.  This issue certianly isn't important enough to push an
update for or hold up an update for, but it might be reasonable to fix during an
update if we ever do another RHEL4 gnome-games update.

For now I'm going to close because we have plans to immediately fix the problem
and it will automatically be fixed in RHEL5.

Note You need to log in before you can comment on or make changes to this bug.